%define	major 3
%define libname %mklibname opkele %{major}
%define develname %mklibname opkele -d

Summary:	C++ implementation of OpenID protocol
Name:		libopkele
Version:	2.0
Release:	%mkrel 2
Group:		System/Libraries
License:	MIT
URL:		http://kin.klever.net/libopkele/
Source0:	http://kin.klever.net/dist/%{name}-%{version}.tar.gz
Patch0:		libopkele-gcc43.diff
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	doxygen
BuildRequires:	e2fsprogs-devel
BuildRequires:	expat-devel
BuildRequires:	graphviz
BuildRequires:	konforka-devel
BuildRequires:	libpqxx-devel
BuildRequires:	libtool
BuildRequires:	libxslt-proc
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	postgresql-devel
BuildRequires:	sqlite3-devel
BuildRequires:	tidy-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
libopkele is a C++ implementation of an OpenID decentralized identity system.
It provides OpenID protocol handling, leaving authentication and user
interaction to the implementor.

%package -n	%{libname}
Summary:	C++ implementation of OpenID protocol
Group:          System/Libraries

%description -n	%{libname}
libopkele is a C++ implementation of an OpenID decentralized identity system.
It provides OpenID protocol handling, leaving authentication and user
interaction to the implementor.

%package -n	%{develname}
Summary:	Static library and header files for the libopkele library
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	opkele-devel = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{mklibname opkele 1 -d}
Conflicts:	%{mklibname opkele 2 -d}

%description -n	%{develname}
libopkele is a C++ implementation of an OpenID decentralized identity system.
It provides OpenID protocol handling, leaving authentication and user
interaction to the implementor.

This package contains the static libopkele library and its header files.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1

perl -pi -e "s|tidy/tidy\.h|tidy\.h|g" configure*

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force; aclocal; autoheader; automake --add-missing --copy; autoconf --force

%configure2_5x \
    --with-pkgconfigdir=%{_libdir}/pkgconfig

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/opkele
%{_includedir}/opkele/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Jun 27 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0-2mdv2009.0
+ Revision: 229521
- added a gcc43 patch (P0)
- %%make may not work here
- fix deps
- 2.0

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Feb 02 2008 Funda Wang <fundawang@mandriva.org> 0.3.2-3mdv2008.1
+ Revision: 161492
- rebuild against latest libpqxx

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix deps
    - 0.3.2

* Wed Nov 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-1mdv2008.1
+ Revision: 110959
- 0.3.1

* Mon Oct 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3-3mdv2008.0
+ Revision: 94141
- rebuilt due to missing packages

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3-2mdv2008.0
+ Revision: 83688
- fix deps
- fix deps

* Wed Aug 22 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3-1mdv2008.0
+ Revision: 68896
- 0.3
- new major
- conform to the 2008 specs


* Wed Jan 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-1mdv2007.0
+ Revision: 109979
- 0.1.1

* Mon Jan 15 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdv2007.1
+ Revision: 109194
- fix deps
- Import libopkele

* Sun Jan 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdv2007.1
- initial Mandriva package

